# DOMElement::getAttributeNodeNS

(PHP 5, PHP 7)

DOMElement::getAttributeNodeNS — Returns attribute node

### Description

public DOMElement::getAttributeNodeNS ( string `$namespaceURI` , string `$localName` ) : DOMAttr

Returns the attribute node in namespace `namespaceURI` with local name `localName` for the current node.

### Parameters

`namespaceURI`

  The namespace URI.

`localName`

  The local name.

### Return Values

The attribute node. Note that for XML namespace declarations (xmlns and xmlns:* attributes) an instance of DOMNameSpaceNode is returned instead of a DOMAttr object.

### See Also

- DOMElement::hasAttributeNS() - Checks to see if attribute exists
- DOMElement::setAttributeNodeNS() - Adds new attribute node to element
- DOMElement::removeAttributeNode() - Removes attribute